Update a creator's chat with a user

Update properties of a chat conversation between the specified creator and user (e.g. mark as read, mute, nickname). Used by agency mirror clients to mark conversations as read on behalf of the creator. <Info>Scopes required: `write:chat`, `read:creator`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

creatorUserUuidstringRequiredformat: "uuid"
userUuidstringRequiredformat: "uuid"

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Request

This endpoint expects an object.
isReadbooleanOptional

Whether the chat should be marked as read (true) or unread (false)

isMutedbooleanOptional

Whether the chat should be muted (true) or unmuted (false)

nicknamestringOptional<=30 characters

Custom nickname for the chat counterpart (max 30 characters)

Response

Chat updated successfully

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
410
Gone Error